curl --request GET \
--url https://api.skulabs.com/transfer_order/get_all \
--header 'Authorization: Bearer <token>'{
"transfer_orders": [
{
"_id": "507f1f77bcf86cd799439011",
"number": 123,
"source_warehouse_id": "507f1f77bcf86cd799439011",
"destination_warehouse_id": "507f1f77bcf86cd799439011",
"status": "created",
"account_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"notes": "<string>",
"items": [
{
"item_id": "507f1f77bcf86cd799439011",
"quantity": 123,
"_id": "507f1f77bcf86cd799439011",
"source_location_id": "507f1f77bcf86cd799439011",
"destination_location_id": "507f1f77bcf86cd799439011",
"deducted": true,
"transferred": true,
"deducted_quantity": 123,
"transferred_quantity": 123,
"deducted_serial_numbers": [
"<string>"
],
"transferred_serial_numbers": [
"<string>"
]
}
],
"log": [
{
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"user_id": "507f1f77bcf86cd799439011",
"details": {}
}
]
}
]
}Retrieve all transfer orders with optional filtering by status and warehouse.
curl --request GET \
--url https://api.skulabs.com/transfer_order/get_all \
--header 'Authorization: Bearer <token>'{
"transfer_orders": [
{
"_id": "507f1f77bcf86cd799439011",
"number": 123,
"source_warehouse_id": "507f1f77bcf86cd799439011",
"destination_warehouse_id": "507f1f77bcf86cd799439011",
"status": "created",
"account_id": "507f1f77bcf86cd799439011",
"name": "<string>",
"notes": "<string>",
"items": [
{
"item_id": "507f1f77bcf86cd799439011",
"quantity": 123,
"_id": "507f1f77bcf86cd799439011",
"source_location_id": "507f1f77bcf86cd799439011",
"destination_location_id": "507f1f77bcf86cd799439011",
"deducted": true,
"transferred": true,
"deducted_quantity": 123,
"transferred_quantity": 123,
"deducted_serial_numbers": [
"<string>"
],
"transferred_serial_numbers": [
"<string>"
]
}
],
"log": [
{
"action": "<string>",
"time": "2025-01-15T12:00:00.000Z",
"user_id": "507f1f77bcf86cd799439011",
"details": {}
}
]
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Start date/time filter for log entries
"2025-01-15T12:00:00.000Z"
End date/time filter for log entries
"2025-01-15T12:00:00.000Z"
Array of transfer orders within the date range (items excluded)
Array of transfer orders (items excluded)
Show child attributes